pcl::common::CloudGenerator< pcl::PointXY, GeneratorT > Class Template Reference

`#include <pcl/common/generate.h>`

## Public Types

typedef GeneratorT::Parameters | GeneratorParameters

## Public Member Functions

| CloudGenerator ()
| CloudGenerator (const GeneratorParameters &params)
| CloudGenerator (const GeneratorParameters &x_params, const GeneratorParameters &y_params)
void | setParameters (const GeneratorParameters &params)
void | setParametersForX (const GeneratorParameters &x_params)
void | setParametersForY (const GeneratorParameters &y_params)
const GeneratorParameters & | getParametersForX () const
const GeneratorParameters & | getParametersForY () const
pcl::PointXY | get ()
int | fill (pcl::PointCloud< pcl::PointXY > &cloud)
int | fill (int width, int height, pcl::PointCloud< pcl::PointXY > &cloud)

## Detailed Description

### template<typename GeneratorT>
class pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >

Definition at line 144 of file generate.h.

## Member Typedef Documentation

template<typename GeneratorT >

typedef GeneratorT::Parameters pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::GeneratorParameters

Definition at line 147 of file generate.h.

## Constructor & Destructor Documentation

template<typename GeneratorT >

pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::CloudGenerator | ( |  | ) |

Definition at line 182 of file generate.hpp.

template<typename GeneratorT >

pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::CloudGenerator | ( | const GeneratorParameters & | params | ) |

Definition at line 197 of file generate.hpp.

References pcl::common::CloudGenerator< PointT, GeneratorT >::setParameters().

template<typename GeneratorT >

pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::CloudGenerator | ( | const GeneratorParameters & | x_params,
|  | const GeneratorParameters & | y_params
| ) |  |

Definition at line 189 of file generate.hpp.

## Member Function Documentation

template<typename GeneratorT >

int pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::fill | ( | pcl::PointCloud< pcl::PointXY > & | cloud | ) |

Definition at line 252 of file generate.hpp.

References pcl::common::CloudGenerator< PointT, GeneratorT >::fill(), pcl::PointCloud< PointT >::height, and pcl::PointCloud< PointT >::width.

template<typename GeneratorT >

int pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::fill | ( | int | width,
|  | int | height,
|  | pcl::PointCloud< pcl::PointXY > & | cloud
| ) |  |

Definition at line 259 of file generate.hpp.

References pcl::PointCloud< PointT >::begin(), pcl::PointCloud< PointT >::empty(), pcl::PointCloud< PointT >::end(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::is_dense, pcl::PointCloud< PointT >::resize(), and pcl::PointCloud< PointT >::width.

template<typename GeneratorT >

pcl::PointXY pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::get | ( |  | ) |

Definition at line 242 of file generate.hpp.

References pcl::PointXY::x, and pcl::PointXY::y.

template<typename GeneratorT >

const pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::GeneratorParameters & pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::getParametersForX | ( |  | ) | const

Definition at line 228 of file generate.hpp.

template<typename GeneratorT >

const pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::GeneratorParameters & pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::getParametersForY | ( |  | ) | const

Definition at line 235 of file generate.hpp.

template<typename GeneratorT >

void pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::setParameters | ( | const GeneratorParameters & | params | ) |

Definition at line 204 of file generate.hpp.

template<typename GeneratorT >

void pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::setParametersForX | ( | const GeneratorParameters & | x_params | ) |

Definition at line 214 of file generate.hpp.

template<typename GeneratorT >

void pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::setParametersForY | ( | const GeneratorParameters & | y_params | ) |

Definition at line 221 of file generate.hpp.

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/common/generate.h
- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/common/impl/generate.hpp